# org.eclipse.emf.cdo.common.lock

## Interfaces

- CDOLockChangeInfo
- CDOLockChangeInfoHandler
- CDOLockOwner
- CDOLockState
- IDurableLockingManager
- IDurableLockingManager.LockArea
- IDurableLockingManager.LockArea.Handler

## Classes

- CDOLockUtil

## Enums

- CDOLockChangeInfo.Operation
- IDurableLockingManager.LockGrade

## Exceptions

- IDurableLockingManager.LockAreaAlreadyExistsException
- IDurableLockingManager.LockAreaNotFoundException